After installing and activating WP Ultimo, you might run into issues due to unaddressed incompatibilities with other plugins. 

We are actively working to reduce this list with each and every new release, but if a plugin is listed here, you might need to deactivate it in order to have a fully-functional WP Ultimo Network.

Here is a list of them and what you should do in these cases:

Some WPMU DEV plugins
Some of the plugins no longer maintained by WPMU DEV are know to cause the WP Ultimo registration flow to halt on the last step (the user isn't able to create an account). Here's a list of the plugins that causes those issues:

  • Signup Language: WP Ultimo has an add-on that offers the same functionality, called WP Ultimo: Language Switcher.
  • Set Blog Description on Blog Creation: This is built into WP Ultimo, so there's no need for an extra plugin.
  • New Blog Templates: This is built into WP Ultimo, so there's no need for an extra plugin.
  • Set Password on Multisite Blog Creation: This is built into WP Ultimo, so there's no need for an extra plugin.
  • Signup TOS: This is built into WP Ultimo, so there's no need for an extra plugin.
  • Anti-Splog: Although less powerful, this is also built into WP Ultimo.

Note: All other WPMU Dev plugins can be used normally alongside WP Ultimo. Examples include Smush, Forminator, Defender etc.

Did this answer your question?